--- title: "Add Group Leader" slug: "add-group-leader" updated: 2026-09-03T14:50:33Z published: 2026-09-03T14:50:33Z canonical: "developer.rocket.chat/add-group-leader" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Add Group Leader Post/api/v1/groups.addLeader Assign the `leader` role to a user in a private channel. Learn more about roles from the [Roles in Rocket.Chat](https://docs.rocket.chat/docs/roles-in-rocketchat) document. Permission required: `set-leader` ### Changelog | Version | Description | | --- | --- | | 0.58.0 | Added. | Header parametersX-Auth-TokenstringRequired The `authToken` of the authenticated user. ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f X-User-IdstringRequired The `userId` of the authenticated user. ExamplerbAXPnMktTFbNpwtJ Body parametersExample ```json { "roomId": "ByehQjC44FwMeiLbX", "userId": "oCHkav5Zf6vmpu2W2" } ``` object roomIdstring Required The groups's (private channel) ID. ExampleByehQjC44FwMeiLbX userIdstring Required The user's ID. ExampleoCHkav5Zf6vmpu2W2 Responses200 OK Success ```json { "success": true } ``` object successboolean 400 Bad Request User is already a leader ```json { "success": false, "error": "User is already a leader [error-user-already-leader]", "errorType": "error-user-already-leader" } ``` object successboolean errorstring errorTypestring 401 Unauthorized Authorization Error ```json { "status": "error", "message": "You must be logged in to do this." } ``` object statusstring messagestring